﻿using System;
using System.Collections.Generic;

using ZeroFormatter;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            Console.Title = "ZeroFormatterSerializer 클래스 : Serialize/Deserialize 정적 메소드를 사용해 직렬화하기";

            List<Employee> sourceList = Employee.GetList(10);

            byte[] byteArray = ZeroFormatterSerializer.Serialize<List<Employee>>(sourceList);
            
            List<Employee> targetList = ZeroFormatterSerializer.Deserialize<List<Employee>>(byteArray);
            
            foreach(Employee employee in targetList)
            {
                Console.WriteLine(employee.Name);
            }
        }

        #endregion
    }
}